#!/bin/sh
# Programa de control de la camara Star I
# Federico Bareilles
# 28/06/2005
#

NAME=starid
DESC="Star I acquisition software"

PATH=/usr/local/sbin:$PATH

case "$1" in
  start)
        echo -n "Starting $DESC: $NAME"
	if [ "`pidof $NAME`" ]; then
	    echo " already running"
	    exit 1
	fi
	starid
        echo "."
        ;;
  stop)
        echo -n "Stopping $DESC: $NAME "
	killall $NAME
        echo "."
        ;;
    restart|force-reload)
        echo -n "Restarting $DESC: $NAME"
        $0 stop
	$0 start
        echo "."
        ;;
  *)
        N=/etc/init.d/$NAME
        # echo "Usage: $N {start|stop|reload}" >&2
        echo "Usage: $N {start|stop|restart|force-reload}" >&2
        exit 1
        ;;
esac

exit 0
